2019-08-24 09:34 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001225Spring engineGeneralpublic2018-02-17 12:24
Reporterel_matarife 
Assigned ToKloot 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.77b5 
Target VersionFixed in Version 
Summary0001225: Weapon range rings height issue
Description1. placement view range ring is wrong for laser weapons on hills
2. range for the defense range widget is wrong for both plasma weapons and laser weapons on hills

The only way to find out the "true" range of a static emplacement on a hill is the range ring you get when attacking.
Additional InformationI suspect that both Defense Range widget and the placement view are using the wrong range primitive, the cylinder instead of the sphere or something like that. I reported the defense range portion of the bug since I believe defense range widget just displays what Spring reports the range as but I could be wrong. I'll link very_bad_soldier to this bug entry so he can take a look at it from his end.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0003168

el_matarife (reporter)

Forgot to update this with very_bad_soldier's explanation of the ranges in his widget being off: http://spring.clan-sy.com/phpbb/viewtopic.php?p=322746#p322746

The Spring engine portion of this bug is still unexplained.

~0003170

imbaczek (reporter)

Last edited: 2009-01-14 23:12

i know there are several range-circle-drawing functions; the correct (as in, precise) one is only called when the unit actually exists (so it can correctly query the unit's weapon.) fixing would require some clever hackery or equally clever refactoring.

~0018757

Google_Frog (reporter)

This still seems to be an issue.

~0018760

Kloot (developer)

Fix 2a88f642b9a726590b8f53b5539c296da0695116 committed to develop branch: fix 0001225, repo: spring changeset id: 9517

~0018815

Kloot (developer)

Fix 36d3fede45ed916fce0fd97374e4ee41116b0677 committed to maintenance branch: fix 0001225

Conflicts:
    rts/Game/UI/GuiHandler.cpp
    rts/Lua/LuaOpenGL.cpp
    rts/Rendering/GL/glExtra.cpp
    rts/Rendering/GL/glExtra.h, repo: spring changeset id: 9672
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2008-12-18 02:35 el_matarife New Issue
2009-01-14 22:41 el_matarife Note Added: 0003168
2009-01-14 23:12 imbaczek Note Added: 0003170
2009-01-14 23:12 imbaczek Note Edited: 0003170
2018-01-28 14:01 Google_Frog Note Added: 0018757
2018-01-29 20:20 Kloot Assigned To => Kloot
2018-01-29 20:20 Kloot Status new => assigned
2018-01-30 00:32 Kloot Changeset attached => spring develop 2a88f642
2018-01-30 00:32 Kloot Note Added: 0018760
2018-01-30 00:32 Kloot Status assigned => resolved
2018-01-30 00:32 Kloot Resolution open => fixed
2018-02-17 12:24 Kloot Changeset attached => spring maintenance 36d3fede
2018-02-17 12:24 Kloot Note Added: 0018815
+Issue History